CentOs7.3手动安装PHP5.6.40总结

  • 2021-05-24 22:31:36
  • 271 次阅读
  • 稿源:天马行空

当linux服务器由PHP5.6.40升级到最新的版本后,可能有的网站会遇到不能够完全兼容当前的php环境。

之前,我看到过一个帖子上面提到PHP升级到最新版本,不仅可以增加网站的安全性,而且打开速度会更快。那我就试着升级到了PHP的最新版本,网站确实比原来打开的速度快很多,但是有些网页的页面不能够正常的显示出来了。我就想着难道是网站的程序不能适用当前的PHP版本,那我该怎么办呢?是不是该将新版本的PHP降到最初的PHP版本,就可以使网页正常显示了呢?

那我就试着在线降级PHP版本,但是就是降不下来。最后经过一番折腾,终于利用手动安装的方法给解决了。具体方法如下:

一、移除已安装的PHP相关包

yum remove php-common

二、PHP官网下载PHP5.6.40版本

你可以将PHP压缩包下载到电脑里,再通过FTP工具将其上传到CentOs7.3服务器中,也可以通过wget命令直接将压缩包下载到服务器中。在这里我们通过wget直接下载PHP 5.6.40 (tar.gz)的压缩包。

三、解压压缩包

将下载好的压缩包通过命令“tar zxvf php-5.6.40.tar.gz”解压到/usr/local/目录下

四、进入目录配置环境/configure

cd /usr/local/php-5.6.40

五、执行编译安装make&&make install

六、配置环境变量

vim /etc/profile

在文件的末尾添加

PATH=$PATH: /usr/local/php/bin
export PATH

七、source /etc/profile

八、查看当前PHP的版本

php -v

注:本次操作需要安装wget,vim,tar命令。

补:

yum -y install wget,yum install -y tar,yum -y install vim
喜欢 0

文章评论 (0)

表情

大眼 可爱 大笑 坏笑 害羞 发怒 折磨 快哭了 大哭 白眼 晕 流汗 困 腼腆 惊讶 憨笑 色 得意 骷髅 囧 睡觉 眨眼 亲亲 疑问 闭嘴 难过 淡定 抗议 鄙视 猪头